import dynamix_sdk.base as _base


class CloudapiK8sWorkerRestartResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sWorkerRestartProtocol(_base.BasePostAPIFunctionProtocol):
    def worker_restart(
        self,
        *,
        k8s_id: int,
        worker_group_id: int,
        worker_node_id: int,
    ) -> CloudapiK8sWorkerRestartResultBool:
        ...
